| vrnacofoldconc

## Function

RNA cofolding with concentrations

## Description

This is a port of the Vienna RNA package program RNAcofold.

The original program has additional inputs and produces different outputs, depending on the options selected. In the EMBASSY implementation it is split into vrnacofold vrnacofoldconc and vrnacofoldpf

## Algorithm

See the original documentation for the Vienna RNA package http://www.tbi.univie.ac.at/~ivo/RNA/

## Usage

Here is a sample session with vrnacofoldconc

    % vrnacofoldconc
    RNA cofolding with concentrations
    Input nucleotide sequence: cofold-red.fasta
    Second nucleotide sequence: cofold-blue.fasta
    Vienna RNA concentration data file: cofold-conc.dat
    Vienna RNAfold output file [red.vrnacofoldconc]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-asequence]         sequence   Nucleotide sequence filename and optional
                                      format, or reference (input USA)
      [-bsequence]         sequence   Nucleotide sequence filename and optional
                                      format, or reference (input USA)
      [-concentrationfile] infile     Vienna RNA concentration data file
      [-outfile]           outfile    [*.vrnacofoldconc] Vienna RNAfold output
                                      file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -aconstraintfile    infile     Vienna RNA structure constraints file
                                      (optional)
       -bconstraintfile    infile     Second vienna RNA structure constraints file
                                      (optional)
       -paramfile          infile     Vienna RNA parameters file (optional)
       -temperature        float      [37.0] Temperature (Any numeric value)
       -[no]gu             boolean    [Y] Allow GU pairs
       -[no]closegu        boolean    [Y] Allow GU pairs at end of helices
       -[no]lp             boolean    [Y] Allow lonely pairs
       -[no]convert        boolean    [Y] Convert T to U
       -nsbases            string     Non-standard bases (Any string is accepted)
       -[no]tetraloop      boolean    [Y] Stabilizing energies for tetra-loops
       -energy             menu       [0] Rarely used option to fold sequences
                                      from the ABCD... alphabet (Values: 0 (BP); 1
                                      (Any with GC); 2 (Any with AU parameters))
       -scale              float      [1.07] Estimate of ensemble free energy (Any
                                      numeric value)
       -dangles            menu       [1] Method (Values: 0 (Ignore); 1 (Only
                                      unpaired bases for just one dangling end); 2
                                      (Always use dangling energies); 3 (Allow
                                      coaxial stacking of adjacent helices))
       -paired             boolean    [N] Calculate probabilities of base pairing
       -ssoutfile          outfile    [*.vrnacofoldconc] Output file name
       -aoutfile           outfile    [*.vrnacofoldconc] First (a) vienna dotplot
                                      output file
       -aaoutfile          outfile    [*.vrnacofoldconc] Second (a-a) vienna
                                      dotplot output file
       -boutfile           outfile    [*.vrnacofoldconc] Third (b) vienna dotplot
                                      output file
       -bboutfile          outfile    [*.vrnacofoldconc] Fourth (b-b) vienna
                                      dotplot output file
       -aboutfile          outfile    [*.vrnacofoldconc] Fifth (a-b) vienna
                                      dotplot output file

       Associated qualifiers:

       "-asequence" associated qualifiers
       -sbegin1            integer    Start of the sequence to be used
       -send1              integer    End of the sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-bsequence" associated qualifiers
       -sbegin2            integer    Start of the sequence to be used
       -send2              integer    End of the sequence to be used
       -sreverse2          boolean    Reverse (if DNA)
       -sask2              boolean    Ask for begin/end/reverse
       -snucleotide2       boolean    Sequence is nucleotide
       -sprotein2          boolean    Sequence is protein
       -slower2            boolean    Make lower case
       -supper2            boolean    Make upper case
       -sformat2           string     Input sequence format
       -sdbname2           string     Database name
       -sid2               string     Entryname
       -ufo2               string     UFO features
       -fformat2           string     Features format
       -fopenfile2         string     Features file name

       "-outfile" associated qualifiers
       -odirectory4        string     Output directory

       "-ssoutfile" associated qualifiers
       -odirectory         string     Output directory

       "-aoutfile" associated qualifiers
       -odirectory         string     Output directory

       "-aaoutfile" associated qualifiers
       -odirectory         string     Output directory

       "-boutfile" associated qualifiers
       -odirectory         string     Output directory

       "-bboutfile" associated qualifiers
       -odirectory         string     Output directory

       "-aboutfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-asequence] (Parameter 1) | Nucleotide sequence filename and optional format, or reference (input USA) | Readable sequence | Required
[-bsequence] (Parameter 2) | Nucleotide sequence filename and optional format, or reference (input USA) | Readable sequence | Required
[-concentrationfile] (Parameter 3) | Vienna RNA concentration data file | Input file | Required
[-outfile] (Parameter 4) | Vienna RNAfold output file | Output file | <*>.vrnacofoldconc
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
-aconstraintfile | Vienna RNA structure constraints file (optional) | Input file | Required
-bconstraintfile | Second vienna RNA structure constraints file (optional) | Input file | Required
-paramfile | Vienna RNA parameters file (optional) | Input file | Required
-temperature | Temperature | Any numeric value | 37.0
-[no]gu | Allow GU pairs | Boolean value Yes/No | Yes
-[no]closegu | Allow GU pairs at end of helices | Boolean value Yes/No | Yes
-[no]lp | Allow lonely pairs | Boolean value Yes/No | Yes
-[no]convert | Convert T to U | Boolean value Yes/No | Yes
-nsbases | Non-standard bases | Any string is accepted | An empty string is accepted
-[no]tetraloop | Stabilizing energies for tetra-loops | Boolean value Yes/No | Yes

-energy

Rarely used option to fold sequences from the ABCD... alphabet

0 | (BP)
1 | (Any with GC)
2 | (Any with AU parameters)

0

-scale | Estimate of ensemble free energy | Any numeric value | 1.07

-dangles

Method

0 | (Ignore)
1 | (Only unpaired bases for just one dangling end)
2 | (Always use dangling energies)
3 | (Allow coaxial stacking of adjacent helices)

1

-paired | Calculate probabilities of base pairing | Boolean value Yes/No | No
-ssoutfile | Output file name | Output file | <*>.vrnacofoldconc
-aoutfile | First (a) vienna dotplot output file | Output file | <*>.vrnacofoldconc
-aaoutfile | Second (a-a) vienna dotplot output file | Output file | <*>.vrnacofoldconc
-boutfile | Third (b) vienna dotplot output file | Output file | <*>.vrnacofoldconc
-bboutfile | Fourth (b-b) vienna dotplot output file | Output file | <*>.vrnacofoldconc
-aboutfile | Fifth (a-b) vienna dotplot output file | Output file | <*>.vrnacofoldconc

## Input file format

vrnacofoldconc reads any normal sequence USAs.

### Input files for usage example

### File: cofold-red.fasta

    >red
    AUGAAGAUGA

### File: cofold-blue.fasta

    >blue
    CUGUCUGUCUUGAGACA

### File: cofold-conc.dat

    10 10

## Output file format

vrnacofoldconc outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### File: red.vrnacofoldconc

    AUGAAGAUGA&CUGUCUGUCUUGAGACA
    ....((((..&..))))(((....))). ( -4.40)
    ....((((,.&..)))}(((....))). [ -5.88]
     frequency of mfe structure in ensemble 0.279848 , delta G binding= -1.57
    Free Energies:
    AB		AA		BB		A		B
    -5.838299	1.006546	-16.231717	-0.003662	-4.266495
    Kaa..0.193006 266048 12.7351
    Initial concentrations		relative Equilibrium concentrations
    A		 B		 AB		 AA		 BB		 A		 B
    10        	10        	0.01066 	0.14707 	0.24456 	0.19519 	0.00021

### File: red.ssps

    %!PS-Adobe-3.0 EPSF-3.0
    %%Creator: ePS_dot.c,v 1.6 2008/06/26 08:40:00 rice Exp $, ViennaRNA-1.7.2
    %%CreationDate: Sun Jul 15 12:00:00 2007
    %%Title: RNA Secondary Structure Plot
    %%BoundingBox: 66 210 518 662
    %%DocumentFonts: Helvetica
    %%Pages: 1
    %%EndComments

    %Options:
    % to switch off outline pairs of sequence comment or
    % delete the appropriate line near the end of the file

    %%BeginProlog
    /RNAplot 100 dict def
    RNAplot begin
    /fsize  14 def
    /outlinecolor {0.2 setgray} bind def
    /paircolor    {0.2 setgray} bind def
    /seqcolor     {0   setgray} bind def
    /cshow  { dup stringwidth pop -2 div fsize -3 div rmoveto show} bind def
    /min { 2 copy gt { exch } if pop } bind def
    /max { 2 copy lt { exch } if pop } bind def
    /drawoutline {
      gsave outlinecolor newpath
      coor 0 get aload pop 0.8 0 360 arc % draw 5' circle of 1st sequence
      currentdict /cutpoint known        % check if cutpoint is defined
      {coor 0 cutpoint getinterval
       {aload pop lineto} forall         % draw outline of 1st sequence
       coor cutpoint get aload pop
       2 copy moveto 0.8 0 360 arc       % draw 5' circle of 2nd sequence
       coor cutpoint coor length cutpoint sub getinterval
       {aload pop lineto} forall}        % draw outline of 2nd sequence
      {coor {aload pop lineto} forall}   % draw outline as a whole
      ifelse
      stroke grestore
    } bind def
    /drawpairs {
      paircolor
      0.7 setlinewidth
      [9 3.01] 9 setdash
      newpath
      pairs {aload pop
         coor exch 1 sub get aload pop moveto
         coor exch 1 sub get aload pop lineto
      } forall
      stroke
    } bind def
    % draw bases
    /drawbases {

      [Part of this file has been deleted for brevity]

    AUGAAGAUGACUGUCUGUCUUGAGACA\
    ) def
    /coor [
    [96.276 111.415]
    [91.331 110.049]
    [86.992 106.486]
    [84.234 101.044]
    [83.858 94.465]
    [73.252 83.858]
    [62.645 73.252]
    [52.039 62.645]
    [36.067 58.926]
    [31.562 43.157]
    [43.157 31.562]
    [58.926 36.067]
    [62.645 52.039]
    [73.252 62.645]
    [83.858 73.252]
    [94.465 83.858]
    [107.979 90.367]
    [122.885 92.046]
    [137.791 93.726]
    [152.597 86.675]
    [165.951 96.194]
    [164.115 112.490]
    [148.978 118.799]
    [136.111 108.631]
    [121.206 106.952]
    [106.300 105.272]
    [104.357 108.419]
    ] def
    /pairs [
    [5 16]
    [6 15]
    [7 14]
    [8 13]
    [17 26]
    [18 25]
    [19 24]
    ] def

    init

    % switch off outline pairs or bases by removing these lines
    drawoutline
    drawpairs
    drawbases
    % show it
    showpage
    end
    %%EOF

### File: red.aps

    %!PS-Adobe-3.0 EPSF-3.0
    %%Title: RNA Dot Plot
    %%Creator: ePS_dot.c,v 1.6 2008/06/26 08:40:00 rice Exp $, ViennaRNA-1.7.2
    %%CreationDate: Sun Jul 15 12:00:00 2007
    %%BoundingBox: 66 211 518 662
    %%DocumentFonts: Helvetica
    %%Pages: 1
    %%EndComments

    %Options: -d2
    %
    %Monomer A FreeEnergy= -0.003661585

    %This file contains the square roots of the base pair probabilities in the form
    % i  j  sqrt(p(i,j)) ubox

    %%BeginProlog
    /DPdict 100 dict def
    DPdict begin
    /logscale false def
    /lpmin 1e-05 log def

    /box { %size x y box - draws box centered on x,y
       2 index 0.5 mul sub            % x -= 0.5
       exch 2 index 0.5 mul sub exch  % y -= 0.5
       3 -1 roll dup rectfill
    } bind def

    /ubox {
       logscale {
          log dup add lpmin div 1 exch sub dup 0 lt { pop 0 } if
       } if
       3 1 roll
       exch len exch sub 1 add box
    } bind def

    /lbox {
       3 1 roll
       len exch sub 1 add box
    } bind def

    /drawseq {
    % print sequence along all 4 sides
    [ [0.7 -0.3 0 ]
      [0.7 0.7 len add 0]
      [-0.3 len sub -0.4 -90]
      [-0.3 len sub 0.7 len add -90]
    ] {
       gsave
        aload pop rotate translate

      [Part of this file has been deleted for brevity]

         len lineto
         dup
         len exch sub 0 exch moveto
         len exch len exch sub lineto
         stroke
      } for
      [] 0 setdash
      0.04 setlinewidth
      currentdict /cutpoint known {
        cutpoint 1 sub
        dup dup -1 moveto len 1 add lineto
        len exch sub dup
        -1 exch moveto len 1 add exch lineto
        stroke
      } if
      0.5 neg dup translate
    } bind def

    end
    %%EndProlog
    DPdict begin
    %delete next line to get rid of title
    270 665 moveto /Helvetica findfont 14 scalefont setfont (red.aps) show

    /sequence { (\
    AUGAAGAUGA\
    ) } def
    /len { sequence length } bind def

    72 216 translate
    72 6 mul len 1 add div dup scale
    /Helvetica findfont 0.95 scalefont setfont

    drawseq
    0.5 dup translate
    % draw diagonal
    0.04 setlinewidth
    0 len moveto len 0 lineto stroke

    drawgrid
    %data starts here
    1 8 0.056921184 ubox
    2 6 0.010665222 ubox
    2 7 0.059657315 ubox
    2 9 0.037641368 ubox
    2 10 0.014667470 ubox
    3 8 0.016991073 ubox
    4 8 0.013136244 ubox
    showpage
    end
    %%EOF

### File: red.aaps

    %!PS-Adobe-3.0 EPSF-3.0
    %%Title: RNA Dot Plot
    %%Creator: ePS_dot.c,v 1.6 2008/06/26 08:40:00 rice Exp $, ViennaRNA-1.7.2
    %%CreationDate: Sun Jul 15 12:00:00 2007
    %%BoundingBox: 66 211 518 662
    %%DocumentFonts: Helvetica
    %%Pages: 1
    %%EndComments

    %Options: -d2
    %
    %Homodimer AA FreeEnergy= 1.006545912

    %This file contains the square roots of the base pair probabilities in the form
    % i  j  sqrt(p(i,j)) ubox

    %%BeginProlog
    /DPdict 100 dict def
    DPdict begin
    /logscale false def
    /lpmin 1e-05 log def

    /box { %size x y box - draws box centered on x,y
       2 index 0.5 mul sub            % x -= 0.5
       exch 2 index 0.5 mul sub exch  % y -= 0.5
       3 -1 roll dup rectfill
    } bind def

    /ubox {
       logscale {
          log dup add lpmin div 1 exch sub dup 0 lt { pop 0 } if
       } if
       3 1 roll
       exch len exch sub 1 add box
    } bind def

    /lbox {
       3 1 roll
       len exch sub 1 add box
    } bind def

    /drawseq {
    % print sequence along all 4 sides
    [ [0.7 -0.3 0 ]
      [0.7 0.7 len add 0]
      [-0.3 len sub -0.4 -90]
      [-0.3 len sub 0.7 len add -90]
    ] {
       gsave
        aload pop rotate translate

      [Part of this file has been deleted for brevity]

    0 len moveto len 0 lineto stroke

    drawgrid
    %data starts here
    1 8 0.012265566 ubox
    1 12 0.215587153 ubox
    1 18 0.288802765 ubox
    2 6 0.007382632 ubox
    2 7 0.017136911 ubox
    2 9 0.006557723 ubox
    2 11 0.215587153 ubox
    2 13 0.177137725 ubox
    2 14 0.261895917 ubox
    2 15 0.174189834 ubox
    2 16 0.162531888 ubox
    2 17 0.302055878 ubox
    2 19 0.178963082 ubox
    2 20 0.138746812 ubox
    3 8 0.007237926 ubox
    3 12 0.177137725 ubox
    3 18 0.177773670 ubox
    4 8 0.006556812 ubox
    4 12 0.261895917 ubox
    4 18 0.190988815 ubox
    5 12 0.174189834 ubox
    5 18 0.177450624 ubox
    6 12 0.162531888 ubox
    6 18 0.147070716 ubox
    7 12 0.302055878 ubox
    7 18 0.394330909 ubox
    8 11 0.288802765 ubox
    8 13 0.177773670 ubox
    8 14 0.190988815 ubox
    8 15 0.177450624 ubox
    8 16 0.147070716 ubox
    8 17 0.394330909 ubox
    8 19 0.176519887 ubox
    8 20 0.098710624 ubox
    9 12 0.178963082 ubox
    9 18 0.176519887 ubox
    10 12 0.138746812 ubox
    10 18 0.098710624 ubox
    11 18 0.012265566 ubox
    12 16 0.007382632 ubox
    12 17 0.017136911 ubox
    12 19 0.006557723 ubox
    13 18 0.007170919 ubox
    14 18 0.006512656 ubox
    showpage
    end
    %%EOF

### File: red.abps

    %!PS-Adobe-3.0 EPSF-3.0
    %%Title: RNA Dot Plot
    %%Creator: ePS_dot.c,v 1.6 2008/06/26 08:40:00 rice Exp $, ViennaRNA-1.7.2
    %%CreationDate: Sun Jul 15 12:00:00 2007
    %%BoundingBox: 66 211 518 662
    %%DocumentFonts: Helvetica
    %%Pages: 1
    %%EndComments

    %Options: -d2
    %
    %Heterodimer AB FreeEnergy= -5.838299492

    %This file contains the square roots of the base pair probabilities in the form
    % i  j  sqrt(p(i,j)) ubox

    %%BeginProlog
    /DPdict 100 dict def
    DPdict begin
    /logscale false def
    /lpmin 1e-05 log def

    /box { %size x y box - draws box centered on x,y
       2 index 0.5 mul sub            % x -= 0.5
       exch 2 index 0.5 mul sub exch  % y -= 0.5
       3 -1 roll dup rectfill
    } bind def

    /ubox {
       logscale {
          log dup add lpmin div 1 exch sub dup 0 lt { pop 0 } if
       } if
       3 1 roll
       exch len exch sub 1 add box
    } bind def

    /lbox {
       3 1 roll
       len exch sub 1 add box
    } bind def

    /drawseq {
    % print sequence along all 4 sides
    [ [0.7 -0.3 0 ]
      [0.7 0.7 len add 0]
      [-0.3 len sub -0.4 -90]
      [-0.3 len sub 0.7 len add -90]
    ] {
       gsave
        aload pop rotate translate

      [Part of this file has been deleted for brevity]

    6 26 0.010177101 ubox
    7 12 0.021632770 ubox
    7 14 0.855666290 ubox
    7 16 0.007717878 ubox
    7 18 0.452386699 ubox
    7 20 0.003307306 ubox
    8 13 0.832810588 ubox
    8 17 0.442059430 ubox
    8 27 0.013548766 ubox
    9 11 0.178755395 ubox
    9 12 0.506569088 ubox
    9 14 0.016728359 ubox
    9 15 0.203346599 ubox
    9 16 0.245771341 ubox
    9 19 0.006237182 ubox
    9 26 0.012991150 ubox
    10 12 0.036293322 ubox
    10 14 0.184145302 ubox
    10 16 0.016990375 ubox
    10 18 0.005640224 ubox
    11 17 0.008558761 ubox
    12 25 0.008108337 ubox
    12 27 0.080028280 ubox
    13 26 0.180825466 ubox
    14 23 0.012679048 ubox
    14 25 0.181430593 ubox
    15 22 0.012950484 ubox
    15 24 0.181499570 ubox
    16 22 0.007039813 ubox
    16 23 0.171288889 ubox
    16 27 0.300268293 ubox
    17 21 0.005675580 ubox
    17 26 0.853563809 ubox
    18 22 0.006794027 ubox
    18 23 0.006526663 ubox
    18 24 0.003206525 ubox
    18 25 0.854300760 ubox
    19 24 0.849253823 ubox
    20 25 0.003296357 ubox
    21 27 0.009002471 ubox
    22 26 0.014858566 ubox
    17 26 0.9746794 lbox
    18 25 0.9746794 lbox
    19 24 0.9746794 lbox
    5 16 0.9746794 lbox
    6 15 0.9746794 lbox
    7 14 0.9746794 lbox
    8 13 0.9746794 lbox
    showpage
    end
    %%EOF

### File: red.bps

    %!PS-Adobe-3.0 EPSF-3.0
    %%Title: RNA Dot Plot
    %%Creator: ePS_dot.c,v 1.6 2008/06/26 08:40:00 rice Exp $, ViennaRNA-1.7.2
    %%CreationDate: Sun Jul 15 12:00:00 2007
    %%BoundingBox: 66 211 518 662
    %%DocumentFonts: Helvetica
    %%Pages: 1
    %%EndComments

    %Options: -d2
    %
    %Monomer B FreeEnergy= -4.266494644

    %This file contains the square roots of the base pair probabilities in the form
    % i  j  sqrt(p(i,j)) ubox

    %%BeginProlog
    /DPdict 100 dict def
    DPdict begin
    /logscale false def
    /lpmin 1e-05 log def

    /box { %size x y box - draws box centered on x,y
       2 index 0.5 mul sub            % x -= 0.5
       exch 2 index 0.5 mul sub exch  % y -= 0.5
       3 -1 roll dup rectfill
    } bind def

    /ubox {
       logscale {
          log dup add lpmin div 1 exch sub dup 0 lt { pop 0 } if
       } if
       3 1 roll
       exch len exch sub 1 add box
    } bind def

    /lbox {
       3 1 roll
       len exch sub 1 add box
    } bind def

    /drawseq {
    % print sequence along all 4 sides
    [ [0.7 -0.3 0 ]
      [0.7 0.7 len add 0]
      [-0.3 len sub -0.4 -90]
      [-0.3 len sub 0.7 len add -90]
    ] {
       gsave
        aload pop rotate translate

      [Part of this file has been deleted for brevity]

    } bind def

    end
    %%EndProlog
    DPdict begin
    %delete next line to get rid of title
    270 665 moveto /Helvetica findfont 14 scalefont setfont (red.bps) show

    /sequence { (\
    CUGUCUGUCUUGAGACA\
    ) } def
    /len { sequence length } bind def

    72 216 translate
    72 6 mul len 1 add div dup scale
    /Helvetica findfont 0.95 scalefont setfont

    drawseq
    0.5 dup translate
    % draw diagonal
    0.04 setlinewidth
    0 len moveto len 0 lineto stroke

    drawgrid
    %data starts here
    1 14 0.005240367 ubox
    2 13 0.004453976 ubox
    2 15 0.020976246 ubox
    2 17 0.670298457 ubox
    3 9 0.003276457 ubox
    3 16 0.947914389 ubox
    4 13 0.030267916 ubox
    4 15 0.948345709 ubox
    5 12 0.031100569 ubox
    5 14 0.948406578 ubox
    6 12 0.036122707 ubox
    6 13 0.895017467 ubox
    6 17 0.221479258 ubox
    7 11 0.028943407 ubox
    7 16 0.313227070 ubox
    8 12 0.034859252 ubox
    8 13 0.014451769 ubox
    8 15 0.313262201 ubox
    9 14 0.311389763 ubox
    3 16 0.9746794 lbox
    4 15 0.9746794 lbox
    5 14 0.9746794 lbox
    6 13 0.9746794 lbox
    showpage
    end
    %%EOF

### File: red.bbps

    %!PS-Adobe-3.0 EPSF-3.0
    %%Title: RNA Dot Plot
    %%Creator: ePS_dot.c,v 1.6 2008/06/26 08:40:00 rice Exp $, ViennaRNA-1.7.2
    %%CreationDate: Sun Jul 15 12:00:00 2007
    %%BoundingBox: 66 211 518 662
    %%DocumentFonts: Helvetica
    %%Pages: 1
    %%EndComments

    %Options: -d2
    %
    %Homodimer BB FreeEnergy= -16.231717299

    %This file contains the square roots of the base pair probabilities in the form
    % i  j  sqrt(p(i,j)) ubox

    %%BeginProlog
    /DPdict 100 dict def
    DPdict begin
    /logscale false def
    /lpmin 1e-05 log def

    /box { %size x y box - draws box centered on x,y
       2 index 0.5 mul sub            % x -= 0.5
       exch 2 index 0.5 mul sub exch  % y -= 0.5
       3 -1 roll dup rectfill
    } bind def

    /ubox {
       logscale {
          log dup add lpmin div 1 exch sub dup 0 lt { pop 0 } if
       } if
       3 1 roll
       exch len exch sub 1 add box
    } bind def

    /lbox {
       3 1 roll
       len exch sub 1 add box
    } bind def

    /drawseq {
    % print sequence along all 4 sides
    [ [0.7 -0.3 0 ]
      [0.7 0.7 len add 0]
      [-0.3 len sub -0.4 -90]
      [-0.3 len sub 0.7 len add -90]
    ] {
       gsave
        aload pop rotate translate

      [Part of this file has been deleted for brevity]

    /cutpoint 18 def

    72 216 translate
    72 6 mul len 1 add div dup scale
    /Helvetica findfont 0.95 scalefont setfont

    drawseq
    0.5 dup translate
    % draw diagonal
    0.04 setlinewidth
    0 len moveto len 0 lineto stroke

    drawgrid
    %data starts here
    1 7 0.003236657 ubox
    2 34 0.009973148 ubox
    3 33 0.012492742 ubox
    4 32 0.010908837 ubox
    4 34 0.009627671 ubox
    5 31 0.009623480 ubox
    6 30 0.006572250 ubox
    6 34 0.706535967 ubox
    7 33 0.999219530 ubox
    8 32 0.999724559 ubox
    9 31 0.999930230 ubox
    10 30 0.999844032 ubox
    11 29 0.525401232 ubox
    12 28 0.525401232 ubox
    13 23 0.006572250 ubox
    13 27 0.999844032 ubox
    14 22 0.009623480 ubox
    14 26 0.999930230 ubox
    15 21 0.010908837 ubox
    15 25 0.999724559 ubox
    16 20 0.012492742 ubox
    16 24 0.999219530 ubox
    17 19 0.009973148 ubox
    17 21 0.009627671 ubox
    17 23 0.706535967 ubox
    18 24 0.003236657 ubox
    7 33 0.9746794 lbox
    8 32 0.9746794 lbox
    9 31 0.9746794 lbox
    10 30 0.9746794 lbox
    13 27 0.9746794 lbox
    14 26 0.9746794 lbox
    15 25 0.9746794 lbox
    16 24 0.9746794 lbox
    showpage
    end
    %%EOF

## Data files

For details of Vienna RNA file formats, see the original documentation http://www.tbi.univie.ac.at/~ivo/RNA/

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
einverted | Finds inverted repeats in nucleotide sequences
vrnaalifold | RNA alignment folding
vrnaalifoldpf | RNA alignment folding with partition
vrnacofold | RNA cofolding
vrnacofoldpf | RNA cofolding with partitioning
vrnadistance | RNA distances
vrnaduplex | RNA duplex calculation
vrnaeval | RNA eval
vrnaevalpair | RNA eval with cofold
vrnafold | Calculate secondary structures of RNAs
vrnafoldpf | Secondary structures of RNAs with partition
vrnaheat | RNA melting
vrnainverse | RNA sequences matching a structure
vrnalfold | Calculate locally stable secondary structures of RNAs
vrnaplot | Plot vrnafold output
vrnasubopt | Calculate RNA suboptimals

## Author(s)

This program is an EMBOSS conversion of a program written by Ivo Hofacker as part of his VIENNA package.

Although we take every care to ensure that the results of the EMBOSS version are identical to those from the original package, we recommend that you check your inputs give the same results in both versions before publication.

Please report all bugs in the EMBOSS version to the EMBOSS bug team, not to the original author.

## History

Converted (October 2005) by Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments